image: tobitheo/ionic-build-android-ci-docker:latest

stages:
  - generate
  - build

csr:build:android:
  stage: generate
  script:
    #- cp debug.keystore ~/.android/debug.keystore
    - npm install
    - bower install -f --allow-root
    - gulp default
    - ionic config build
    - ionic state restore
    - ionic build android
    - 'curl -X POST https://content.dropboxapi.com/2/files/upload  --header "Authorization: Bearer $TOKEN"  --header "Dropbox-API-Arg: {\"path\": \"/service-reporter-debug.apk\",\"mode\": \"add\",\"autorename\": true,\"mute\": false}" --header "Content-Type: application/octet-stream" --data-binary @platforms/android/build/outputs/apk/android-debug.apk'
    
    

csr:build:docker:
  image: docker:git
  stage: build
  services:
  - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/voidify/service-reporter-ui .
    #- docker run registry.example.com/my-group/my-project /script/to/run/tests
    - docker push registry.gitlab.com/voidify/service-reporter-ui
  only:
    - master